#! /bin/sh
#***************************************
#*              start.sh               *
#***************************************

#set -n
declare -a PROCS
PROCS[0]="ora_pmon"
PROCS[1]="ora_dbw"
PROCS[2]="ora_lgwr"
PROCS[3]="ora_ckpt"
PROCS[4]="ora_smon"
PROCS[5]="ora_reco"

#PROCS[2]="XXXX" #u can add new process
while true; do
	        echo $PROCS
		for proc in "${PROCS[@]}"
		do
			echo $proc
			running=`ps -ef |grep $proc | grep -v grep`
			if [ "x" = "x$running" ]; then
				echo "$proc is not present now!"
				exit 2  #break while loop
			fi
		done
		sleep 5  #sleep for next while loop
done
